Chronox Public APIs
    • Get Started
      • Introduction
      • Authentication
      • Rate limiting
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Whatsapp Templates
      GET
    • Get Whatsapp Template Details
      GET
    • Get Whatsapp Template Category
      GET
    • Get Whatsapp Languages
      GET
    • Get Whatsapp Template Type
      GET
    • Get Whatsapp Template Interactive Type
      GET
    • Get Whatsapp Template Header Type
      GET
    • Get Whatsapp Template Button Type
      GET
    • Get Whatsapp Template Dynamic Variable Type
      GET
    • Create Whatsapp Template
      POST
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Schemas
      • Thread Execution Data

      Get Whatsapp Template Button Type

      Developing
      GET
      /global/whatsapp-template-button-type

      Request

      Header Params

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.chronox.ai/api/global/whatsapp-template-button-type' \
      --header 'if-none-match: W/"5270-oG2iHOCNXlYhK3U1ZTsA06Ms+78"' \
      --header 'priority: u=1, i' \
      --header 'Authorization: Bearer <api-key>'
      Response Response Example
      {
          "status": true,
          "data": [
              {
                  "whatsapp_template_button_type_id": 1,
                  "whatsapp_template_button_type_name": "Quick reply",
                  "whatsapp_template_button_sub_type_data": [
                      {
                          "whatsapp_template_button_sub_type_id": 1,
                          "whatsapp_template_button_sub_type_name": "Marketing opt-out",
                          "whatsapp_template_button_sub_type_description": "(Recommended)",
                          "whatsapp_template_button_sub_type_flag_active": false,
                          "whatsapp_template_button_sub_type_field_data": [
                              {
                                  "whatsapp_template_button_sub_type_field_id": 2,
                                  "field_name": "Footer Text",
                                  "field_type": "Textfield",
                                  "field_placeholder": null,
                                  "field_static_value_flag": true,
                                  "field_static_value": "Not interested? Tap Stop promotions",
                                  "field_option_flag": false,
                                  "field_character_limit": null,
                                  "field_option_data": []
                              },
                              {
                                  "whatsapp_template_button_sub_type_field_id": 1,
                                  "field_name": "Button Text",
                                  "field_type": "Textfield",
                                  "field_placeholder": null,
                                  "field_static_value_flag": true,
                                  "field_static_value": "Stop Promotion",
                                  "field_option_flag": false,
                                  "field_character_limit": "25",
                                  "field_option_data": []
                              }
                          ]
                      },
                      {
                          "whatsapp_template_button_sub_type_id": 2,
                          "whatsapp_template_button_sub_type_name": "Custom",
                          "whatsapp_template_button_sub_type_description": null,
                          "whatsapp_template_button_sub_type_flag_active": true,
                          "whatsapp_template_button_sub_type_field_data": [
                              {
                                  "whatsapp_template_button_sub_type_field_id": 3,
                                  "field_name": "Button Text",
                                  "field_type": "Textfield",
                                  "field_placeholder": "Quick Reply",
                                  "field_static_value_flag": false,
                                  "field_static_value": null,
                                  "field_option_flag": false,
                                  "field_character_limit": "25",
                                  "field_option_data": []
                              },
                              {
                                  "whatsapp_template_button_sub_type_field_id": 13,
                                  "field_name": "Payload",
                                  "field_type": "Object",
                                  "field_placeholder": null,
                                  "field_static_value_flag": false,
                                  "field_static_value": null,
                                  "field_option_flag": false,
                                  "field_character_limit": null,
                                  "field_option_data": []
                              },
                              {
                                  "whatsapp_template_button_sub_type_field_id": 14,
                                  "field_name": "Button Description",
                                  "field_type": "Textfield",
                                  "field_placeholder": "Button Description",
                                  "field_static_value_flag": false,
                                  "field_static_value": null,
                                  "field_option_flag": false,
                                  "field_character_limit": "100",
                                  "field_option_data": []
                              }
                          ]
                      }
                  ]
              },
              {
                  "whatsapp_template_button_type_id": 2,
                  "whatsapp_template_button_type_name": "Call to action",
                  "whatsapp_template_button_sub_type_data": [
                      {
                          "whatsapp_template_button_sub_type_id": 3,
                          "whatsapp_template_button_sub_type_name": "Visit Website",
                          "whatsapp_template_button_sub_type_description": "(2 buttons maximum)",
                          "whatsapp_template_button_sub_type_flag_active": true,
                          "whatsapp_template_button_sub_type_field_data": [
                              {
                                  "whatsapp_template_button_sub_type_field_id": 4,
                                  "field_name": "Button Text",
                                  "field_type": "Textfield",
                                  "field_pl
      Modified at 2026-02-05 06:39:29
      Previous
      Get Whatsapp Template Header Type
      Next
      Get Whatsapp Template Dynamic Variable Type
      Built with